Summary:	Red Flag User/Group Management Tool
Name:		rfuser
Version:	2.1.7
Vendor:		Red Flag Software Co., Ltd.
Packager:	packager@redflag-linux.com
Release:	2
Source:		rfuser-%{version}.tar.gz
Source1:	rfuser_ko.ts
Source2:	rfuser_ko.qm
patch0:		rfuser-2.1.7-desktop-ko.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Group:		Applications/System
License:	GPL

%description
User Administrator tool

%prep
%setup -q 
%patch0 -p1 -b .desktop.ko

cp %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/
cp %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{version}/

%build
unset QTDIR
. /etc/profile.d/qt.sh
%ifarch x86_64 ppc64
export suffix=64
%else
export suffix=""
%endif
touch Makefile
make
sh ./makeso.sh

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/rfmin/include/rfuser/
mkdir -p $RPM_BUILD_ROOT/usr/lib/rfmin/lib/
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/rfuser
mkdir -p $RPM_BUILD_ROOT/usr/share/rfuser/pic
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/

cp rfuser $RPM_BUILD_ROOT/usr/bin
cp *qm $RPM_BUILD_ROOT/usr/share/rfuser
cp *xpm $RPM_BUILD_ROOT/usr/share/rfuser
cp *html $RPM_BUILD_ROOT/usr/share/rfuser
cp *xml $RPM_BUILD_ROOT/usr/share/rfuser
cp index  $RPM_BUILD_ROOT/usr/share/rfuser
cp index.cache  $RPM_BUILD_ROOT/usr/share/rfuser
cp rfuser.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/rfuser-%{version}-%{release}.desktop 
cp libdefine.h $RPM_BUILD_ROOT/usr/lib/rfmin/include/rfuser/
cp librfuser.so $RPM_BUILD_ROOT/usr/lib/rfmin/lib/
cp rfuser.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/

%post
#this is where the package erase actions for previous vesion of rfuser on AX1.0-SP1
if [ -f /etc/sysconfig/khwtree/GroupSys/rfuser.desktop ];then
rm -f /etc/sysconfig/khwtree/GroupSys/rfuser.desktop
fi

%postun

%files
/etc/sysconfig/khwtree/GroupSys/rfuser-%{version}-%{release}.desktop
/usr/lib/rfmin/include/rfuser/libdefine.h
/usr/lib/rfmin/lib/librfuser.so
/usr/bin/rfuser
/usr/share/rfuser/*qm
/usr/share/rfuser/index
/usr/share/rfuser/index.cache
/usr/share/rfuser/*html
/usr/share/rfuser/*xml
/usr/share/rfuser/*xpm
/usr/share/pixmaps/rfuser.xpm

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Nov 16 2005 Nam, Kwonwoo <kwnam@haansoft.com> 2.1.7-2
- add Korean resource(Source 1, 2 patch 0)
- remove post postun action and change .desktop file install method

* Tue Jan 18 2005 Zou Pengcheng <pczou@redflag-linux.com> 2.1.7
- librfuser.so didn't contain quotamanager, redmin was not happy. fixed.

* Mon Jan 10 2005 Zou Pengcheng <pczou@redflag-linux.com> 2.1.6
- smbpasswd upgraded, cannot take passwd as argument any more. fix rfuser accordingly.

* Wed Sep 1 2004 Zou Pengcheng <pczou@redflag-linux.com> 2.1.5
- fix duplicate gid checking code.

* Wed Aug 18 2004 Zou Pengcheng <pczou@redflag-linux.com> 2.1.4
- fix user manual (seen through redmin) messy code problem (finally).

* Thu Aug 05 2004 Zou Pengcheng <pczou@redflag-linux.com> 2.1.3-1
- use internal help browser in case rfhelp is not installed (e.g. Desktop 4.1) 

* Wed May 20 2004 Pengcheng Zou <pczou@redflag-linux.com> 2.1.1-1
- change the control icon to kuser default icon

* Wed May 19 2004 Pengcheng Zou <pczou@redflag-linux.com> 2.1-1
- fix the "null password for renamed user" bug, by showing user a warning dialog.

* Tue Apr 20 2004 Wang SiYuan <sywang@redflag-linux.com>
- update to 2.0.4 fix some bugs on set quota service

* Mon Apr 12 2004 Wang SiYuan <sywang@redflag-linux.com>
- update to 2.0.3 fix some bugs

* Wed Dec 10 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 2.0.1 add quota function

* Mon Jul 28 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.26 add group max members up to 1024

* Mon Jul 21 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.25 fix "propterty setting seg fault" bug

* Wed Jul 9 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.24 

* Mon Jun 23 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.23 fix password bug, user&group sorting

* Sat Jun 21 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.21 fix samba user bug

* Thu Jun 12 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.20 fix groupList refresh bug

* Wed Jun 4 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.18 fix libuser: readlink bug

* Fri May 30 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.17 change logo and change manual dialog to non_modal

* Thu May 22 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.16 change logo

* Wed May 14 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.15
- add librfuser.so for webTool

* Thu Apr 22 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.14
- add default focus on dialog

* Thu Apr 3 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.13
- add help function 

* Tue Feb 25 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.11
- change AddSamba button`s location and add deluser warning.

* Fri Jan 24 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.10
- hide DenyLogin function.

* Thu Jan 23 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.8
- fix "add to samba" bug.

* Thu Jan 23 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.7
- fix account string length limits.

* Thu Jan 21 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.4
- fix user account string hard limits.

* Tue Jan 15 2003 Wang SiYuan <sywang@redflag-linux.com>
- update to 1.0.3
- add filter, fix some bugs

